<?php

/**
 * @file
 * Contains \Drupal\address\ZoneListBuilder.
 */

namespace Drupal\address;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of zones.
 */
class ZoneListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['zone'] = $this->t('Zone');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row['zone'] = $entity->label();
    return $row + parent::buildRow($entity);
  }

}

