<?php

/**
 * @file
 * Contains \Drupal\ces\Launch.
 * @todo injections
 *
 */
namespace Drupal\ces;
use Drupal\cforge\Forms\ContactAll;
use Drupal\Core\Form\FormStateInterface;

class Launch extends ContactAll {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'ces_launch_form';
  }

  public function buildform(array $form, FormStateInterface $form_state) {
    drupal_set_message(t('This page can be used once only. It will mail every user optionally with a password reset link, notify CES to divert all traffic to this site.'));
    drupal_set_message(t('Coordinate with Tim Jenkin to ensure users do not visit the old site after launch'));
    $form = parent::buildForm($form, $form_state);
    $form['body']['#description'] .= ' '.$this->t("(The 'account-name' is the code for logging in.)");
    $form['body']['#element_validate'][] = [get_class($this), 'checkLoginLink'];
    $form['body']['#required'] = FALSE;
    $form['url'] = [
      '#title' => $this->t('Url for old site to divert to'),
      '#description' => $this->t('Include the protocol at the start'),
      '#type' => 'textfield',
      '#placeholder' => 'http://',
    ];
  }

  public function checkLoginLink($element, $form_state) {
    if (!strpos($form_state->get('body'), '[user:one-time-login-url]')) {
      $form_state->setError($element, 'The body must include the token [user:one-time-login-url]');
    }
  }

  public function submit($form, FormStateInterface $form_state) {
    //send the mail to all users
    if ($form_state->getValue('body')) {
      parent::submit($form, $form_state);
    }

  }



}