<?php

/**
 * @file
 * Contains \Drupal\ces\Plugin\CsvParser\Offers.
 *
 */
namespace Drupal\ces\Plugin\CsvParser;

use Drupal\smallads\Entity\SmallAdInterface;

/**
 * Plugin to import offers
 *
 * @Plugin(
 *   id = "offers",
 *   label = "Offers",
 *   type = "offer"
 * )
 */
class Offers extends \Drupal\cforge_import\Plugin\CsvParser\Smallads {

  const BUNDLE = 'offer';

  /**
   * {@inheritdoc}
   */
  public static function columns() {
    $columns = parent::columns();
    unset($columns['uid']);
    return [
      'ces_uid' => t('CES user code (corresponds to Drupal user name)'),
      'categories' => t('comma separated term names'),
      'expires' => t('date of format:  "2016-01-15 19:10:33"'),
      'picture' => t('file path for downloading'),
    ] + $columns;
  }

  public static function ces_uidProcess(SmallAdInterface $entity, $val, $allfields) {
    $uids = \Drupal::entityQuery('user')
      ->condition('name', $val)->execute();
    if (!$uids){
      drupal_set_message('User not identified for name '.$val, 'warning');
      return;
    }
    $entity->setOwnerId(reset($uids));
  }

}
