<?php

/**
 * @file
 * Contains \Drupal\ces\Plugin\CsvParser\Transactions.
 *
 */
namespace Drupal\ces\Plugin\CsvParser;
use Drupal\mcapi\Entity\TransactionInterface;


/**
 * Plugin to import transactions
 *
 * @Plugin(
 *   id = "trades",
 *   label = @Translation("Transactions")
 * )
 */
class Transactions extends \Drupal\cforge_import\Plugin\CsvParser\Transactions {


  protected static function payerProcess(TransactionInterface $entity, $user_name, $allfields) {
    $entity->payer->target_id = SELF::getWalletId($user_name);
  }
  protected static function payeeProcess(TransactionInterface $entity, $user_name, $allfields) {
    $entity->payee->target_id = SELF::getWalletId($user_name);
  }

  protected static function typeProcess(TransactionInterface $entity, $val, $allfields) {
    //if (strPos($allfields['description'], ''))
    $entity->type->target_id  = strtolower($val);
  }

  private static function getWalletId($user_name) {
    static $allwallets;
    if (!isset($allwallets[$user_name])) {
      //assumes no two wallet names are the same
      $users = \Drupal::entityTypeManager()->getStorage('user')
        ->loadByProperties(['name' =>  $user_name]);
      if ($users) {
        $wids = \Drupal\mcapi\Mcapi::walletsOf(reset($users));
        $allwallets[$user_name] = reset($wids);
      }
      else {
        //create a new wallet, owned by user 1
        $wallet = \Drupal\mcapi\Entity\Wallet::create(['name' => $user_name, 'orphaned' => TRUE, 'created' => 0]);
        $wallet->save();
        $allwallets[$user_name] = $wallet->id();
      }
    }
    return $allwallets[$user_name];
  }

}
