<?php

/**
 * @file
 * Contains \Drupal\ces\Plugin\CsvParser\Wants.
 *
 */
namespace Drupal\ces\Plugin\CsvParser;

use Drupal\smallads\Entity\SmallAdInterface;

/**
 * Plugin to import wants
 *
 * @Plugin(
 *   id = "wants",
 *   label = @translation("Wants"),
 *   type = "want"
 * )
 */
class Wants extends \Drupal\cforge_import\Plugin\CsvParser\Smallads {

  const BUNDLE = 'want';

  public static function columns() {
    $columns = parent::columns();
    unset($columns['uid']);
    return [
      'ces_uid' => t('CES user code (corresponds to Drupal user name)')
    ] + $columns;
  }


  public static function ces_uidProcess(SmallAdInterface $entity, $val, $allfields) {
    $uids = \Drupal::entityQuery('user')
      ->condition('name', $val)->execute();
    if (!$uids){
      drupal_set_message('User not identified for name '.$val, 'warning');
      return;
    }
    $entity->setOwnerId(reset($uids));
  }


}
