<?php

/**
 * @file
 * Contains \Drupal\cforge_gallery\ViewAll
 */

namespace Drupal\cforge_gallery;

use \Drupal\system\Controller\SystemController;
use Drupal\taxonomy\Entity\Term;

/**
 * displays the text of the readme file for the given modue
 */
class ViewAll extends SystemController {

  function page() {
    $output = [];
    $nid_tids = db_query("SELECT i.nid,  i.tid FROM {taxonomy_index} i 
      LEFT JOIN {taxonomy_term_data} t ON i.tid = t.tid
      WHERE t.vid = 'galleries'")->fetchAllKeyed();
    foreach($nid_tids as $nid => $tid) {
      $galleries[$tid][] = $nid;
    }
    
    foreach ($galleries as $tid => $nids) {
      $gallery = Term::load($tid);
      $output[] = [
        '#theme' => 'gallery_preview',
        '#taxonomy_term' => $gallery,
        '#nids' => $nids
      ];
    }
    if (empty($output)) {
      $output['#markup'] = t('There are no photos');  
    }
    return $output;
  }

}
