<?php

/**
 * @file
 * Contains \Drupal\digest\Plugin\QueueWorker\DigestMail.
 */

namespace Drupal\digest\Plugin\QueueWorker;

use Drupal\Core\Queue\QueueWorkerBase;

/**
 * Updates a feed's items.
 *
 * @QueueWorker(
 *   id = "digest_mail",
 *   title = @Translation("Generate personalised digest mail"),
 *   cron = {"time" = 60}
 * )
 */
class DigestMail extends QueueWorkerBase {

  /**
   * {@inheritdoc}
   */
  public function processItem($data, $blah) {
\Drupal::logger('digest')->debug(gettype($blah));
\Drupal::logger('digest')->debug(strval($blah));
    list($uid, $views) = $data;
    $recipient = User::load($uid);

    \Drupal::service('plugin.manager.mail')
      ->mail('digest',
        'digest',
        $recipient->getEmail(),
        $recipient->getPreferredLangcode(),
        [
          'user' => $recipient,
          'views'  => $views,
          'since' => $settings['last']
        ]
      );
  }

}
