<?php

/**
 * @file
 * Definition of Drupal\digest\UserSettings.
 *
 * @todo using EntityForm or ContentEntityForm gives nice access control and prepared $entity
 * but also injects fields from the default user EntityFormDisplay
 * Need to find an example to see how it is done.
 */

namespace Drupal\digest;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

class UserSettings extends ConfigFormBase {

  protected $user;

  public function __construct($current_request) {
    $this->user = $current_request->getParameters()->get('user');
    if (is_numeric($this->user)) {
      $this->user = \Drupal\user\Entity\User::load($this->user);
    }
  }


  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('current_route_match')
    );
  }


  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form = \Drupal\digest\Digest::userSettingsForm($this->user);
    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => t('Save'),
    ];
    return $form;
  }


  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    \Drupal\digest\Digest::userSettingsFormSubmit($form, $form_state, $this->user);
  }

  public function getFormId() {
    return 'digest_user_settings';
  }

  public function getEditableConfigNames() {
    return [];
  }

  //router access callback
  public function access() {
    return \Drupal\Core\Access\AccessResult::allowed();
  }

}

