<?php

/**
 * @file
 * Contains \Drupal\hamlets\Launch.
 * @todo injections
 *
 */
namespace Drupal\hamlets\Forms;

use Drupal\cforge\Forms\ContactAll;
use Drupal\Core\Form\FormStateInterface;

class Launch extends ContactAll {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'hamlets_launch_form';
  }

  public function buildform(array $form, FormStateInterface $form_state) {
    drupal_set_message(t('This page can be used once only. It will mail every user optionally with a password reset link, and disable any content import modules.'));
    $form = parent::buildForm($form, $form_state);
    $form['body']['#element_validate'][] = [get_class($this), 'checkLoginLink'];
    return $form;
  }

  public function checkLoginLink($element, $form_state) {
    if (!strpos($form_state->get('body'), '[user:one-time-login-url]')) {
      $form_state->setError($element, 'The body must include the token [user:one-time-login-url]');
    }
  }

  public function submit($form, FormStateInterface $form_state) {
    //send the mail to all users
    parent::submit($form, $form_state);
    //if this is a test don't follow through!
    if ($form_state->getValue('scope') == 1) {
      return;
    }
    //@todo what modules to disable?
    //\Drupal::service('module_installer')->uninstall([]);

  }



}