<?php

/**
 * @file
 * Contains \Drupal\hamlets\Plugin\Block\AdminNotices
 * actually might be able to use the normal masquerade block...
 * .
 */

namespace Drupal\hamlets\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Brings things to the attention of administrators
 *
 * @Block(
 *   id = "hamlets_admin_notices",
 *   admin_label = @Translation("Admin notices"),
 *   category = @Translation("Hamlets")
 * )
 */
class AdminNotices extends BlockBase implements ContainerFactoryPluginInterface {
  
  private $moduleHandler;
  
  /**
   * 
   * @param array $configuration
   * @param type $plugin_id
   * @param type $plugin_definition
   * @param type $moduleHandler
   */
  public function __construct(array $configuration, $plugin_id, $plugin_definition, $moduleHandler) {
    parent::__construct($configuration, $plugin_id, $plugin_definition);
    $this->moduleHandler = $moduleHandler;
  }
  
 /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static(
      $configuration,
      $plugin_id,
      $plugin_definition,
      $container->get('module_handler')
    );
  }
  
  /**
   * {@inheritdoc}
   */
  public function access(AccountInterface $account, $return_as_object = false) {
    return $return_as_object ? AccessResult::allowed() : TRUE;
    if (empty($account->getRoles()['RID_COMMITTEE'])) {
      return $return_as_object ? AccessResult::forbidden() : FALSE;
    }
    else {
      return $return_as_object ? AccessResult::allowed() : TRUE;
    }
  }

  /**
   * {@inheritdoc}
   */
  public function build() {
    //ensure the css is here to make this block prominent
    return $this->moduleHandler->invokeAll('cforge_admin_notices');
  }
  
  

  
}
