<?php

/**
 * @file
 * Contains \Drupal\hamlets\Plugin\CsvParser\Users.
 *
 */
namespace Drupal\hamlets\Plugin\CsvParser;

use Drupal\user\UserInterface;

/**
 * Plugin to import users
 *
 * @Plugin(
 *   id = "users",
 *   label = "Users"
 * )
 */
class Users extends \Drupal\cforge_import\Plugin\CsvParser\Users {

  static function coordinatorProcess(UserInterface $account, $val, &$allfields) {
    $account->addRole('superneighbour');
  }


  //batch callback.
  //the sandbox seems to be empty every time, unfortunately
  static function saveEntities($rows, $test, &$sandbox) {
    foreach ($rows as $key => $row) {
      if (empty($row['password'])) {
        unset($row[$key]);
      }
    }
    parent::saveEntities($rows, $test, $sandbox);
  }

  public static function columns() {
    return parent::columns() + [
      //'grossincome' => t('gross income (instead of transaction import)'),
      //'balance' => t('current balance (instead of transaction import)')
    ];
  }
}
