<?php
/**
 * @file
 */

namespace Drupal\hamlets;

class Setup {

  //batch callback
  static function generateContent($plugin, $args) {
    drupal_set_message('Setup::generateContent');
    $develGen = \Drupal::service('plugin.manager.develgenerate')
      ->createInstance($plugin)
      ->generate($args);
  }

  /**
   * batch finished callback
   * randomise the dates of events
   */
  static function finishSetup() {
    drupal_set_message('hamlets_setup_finish');
    $event_nids = \Drupal::entityQuery('node')->condition('type', 'event')->execute();
    foreach (\Drupal\node\Entity\Node::loadMultiple($event_nids) as $event) {
      $time = REQUEST_TIME + mt_rand(-86400*180, 86400*180);
      $event->date->value = gmdate(DATETIME_DATETIME_STORAGE_FORMAT, $time);
      $event->save();
    }
    \Drupal::service('module_installer')->uninstall(['devel_generate', 'devel', 'cforge_import']);
  }

}