<?php

/*
 * Implements views hook_views_data
 */
function mcapi_signatures_views_data() {

  //@todo in alpha12, judging by node revisions, I don't see a way for secondary table to conjure up entities, except as a field
  $data['mcapi_signatures']['table'] = [
    'group'  => t('Signatures'),
    //'entity type' => 'mcapi_transaction',//This adds xid to the field list for the current table, so we don't want it
    'access query tag' => 'mcapi_views_access',
    'base' => [
      'field' => 'serial',
      'title' => t('Signatures'),
      'help' => t('Signatures needed on pending transactions'),
      'defaults' => [
        'field' => 'serial',
      ],
    ],
    'join' => [
      'mcapi_transaction' => [
        'left_field' => 'serial',
        'field' => 'serial',
      ],
    ]
  ];

  $data['mcapi_signatures']['serial'] = [
    'title' => t('Serial'),
    'help' => t("The serial number of the transaction"),
    'field' => [
      'id' => 'standard'
    ],
    'argument' => [
      'id' => 'standard',
    ],
    'relationship' => [
      'id' => 'standard',
      'base' => 'mcapi_transaction',
      'base field' => 'serial',
      'field' => 'serial',
      'label' => t('Transaction'),
      'relationship field' => 'serial'
    ],
  ];

  $data['mcapi_signatures']['uid'] = [
    'title' => t('Signatory'),
    'help' => t("The user whose signature is required"),
    'field' => [
      'id' => 'standard'
    ],
    'filter' => [
      'title' => t('User is a signatory'),
      'help' => t('transactions on which the current user is / is not a signatory'),
      'id' => 'user_current'
    ],
    'argument' => [
      'title' => t('User is a signatory'),
      'id' => 'user_uid',
    ],
    'relationship' => [
      'id' => 'standard',
      'base' => 'users',
      'field' => 'uid',
      'label' => t('Signatory'),
      'relationship field' => 'uid'
    ],
  ];
  $data['mcapi_signatures']['signed'] = [
    'title' => t('Date of signature'),
    'help' => t('The date the transaction was signed'),
    'field' => [
      'id' => 'signed_date',
    ],
    'sort' => [
      'id' => 'date'
    ],
    'filter' => [
      'id' => 'date',
    ],
  ];
  return $data;
}


function mcapi_signatures_views_data_alter(&$data) {
  return;
  // For other base tables, explain how we join
  $data['mcapi_transaction']['table']['join']['mcapi_signatures'] = [
    'left_table' => 'mcapi_signatures',
    'left_field' => 'serial',
    'field' => 'serial',
  ];

}
