<?php

/**
 * @file
 * Contains \Drupal\realname\Plugin\Action\RealnameUpdate.
 *
 * @todo how do we limit this to certain triggers?
 * @todo determine how the child transaction is added to the parent - depends on how the trigger works
 */

namespace Drupal\realname\Plugin\Action;

use Drupal\Core\Action\ActionBase;

/**
 * Adds a transaction to a cluster during validation phase
 *
 * @Action(
 *   id = "realname_update",
 *   label = @Translation("Update the stored Realname value"),
 *   type = "user"
 * )
 */
class RealnameUpdate extends ActionBase {

  /**
   * {@inheritdoc}
   */
  public function execute() {
    $account = func_get_arg(0);
    realname_update($account);
  }

  function access($object, \Drupal\Core\Session\AccountInterface $account = NULL, $return_as_object = FALSE){
    drupal_set_message('who can use the update realname action?');
    return $return_as_object? \Drupal\Core\Access\AccessResult::allowed() : TRUE;
  }

}

/**  FROM D7
 * Implements hook_rules_action_info().
 * @todo
 *
function realname_rules_action_info() {
  $items['user_realname_update'] = array(
    'label' => t('Update real name'),
    'base' => 'realname_action_realname_update',
    'parameter' => array(
      'account' => array(
        'type' => 'user',
        'label' => t('User'),
        'save' => FALSE,
      ),
    ),
    'group' => t('User'),
    'access callback' => 'rules_user_integration_access',
  );
  return $items;
}
 */
