<?php

/**
 * @file
 * Contains \Drupal\realname\RouteSubscriber.
 */

namespace Drupal\realname;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;
use Drupal\Core\Routing\RoutingEvents;

/**
 * Subscriber for walletadd routes on specified entities
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    foreach ($collection as $name => &$info) {
      if (substr($name, 0, 12) == 'entity.user.') {
        if ($info->getDefault('_title_callback') == 'Drupal\user\Controller\UserController::userTitle') {
          $info->setDefault('_title_callback', '\Drupal\realname\TitleController::realName');
        }
      }
    }
  }


  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    //$events[RoutingEvents::ALTER][] = ['onAlterRoutes', 1100];
    return [
      RoutingEvents::ALTER => [
        ['onAlterRoutes', -1100]
      ]
    ];
  }

}
