<?php

/**
 * @file
 * Contains \Drupal\realname\TitleController.
 */

namespace Drupal\realname;

use Drupal\Component\Utility\Xss;
use Drupal\Core\Controller\ControllerBase;
use Drupal\user\UserInterface;

/**
 * Controller routines for user routes.
 */
class TitleController extends ControllerBase {

  
  /**
   * Route title callback.
   *
   * @param \Drupal\user\UserInterface $user
   *   The user account.
   *
   * @return string|array
   *   The user account name as a render array or an empty string if $user is
   *   NULL.
   */
  public function realName(UserInterface $user = NULL) {
    return $user ? ['#markup' => $user->getDisplayname(), '#allowed_tags' => Xss::getHtmlTagList()] : '';
  }

}
