<?php

/**
 * @file
 * Contains \Drupal\smallads\Plugin\migrate\source\d7\Smallad.
 */

namespace Drupal\smallads\Plugin\migrate\source\d7;

use Drupal\migrate\Row;

/**
 * Drupal 7 user source from database.
 *
 * @MigrateSource(
 *   id = "d7_smallad"
 * )
 */
class Smallad extends \Drupal\migrate_drupal\Plugin\migrate\source\d7\FieldableEntity {

  /**
   * {@inheritdoc}
   */
  public function query() {
    $query = parent::query();
    $query->innerJoin('offers_wants', 'ow', 'ow.nid = n..nid');
    $query->addField('ow', 'end', 'end');
    $query->addField('ow', 'want', 'want');
    return $query;
  }

  /**
   * {@inheritdoc}
   */
  public function prepareRow(Row $row) {
    $row = parent::prepareRow($row);
    $fields = $this->getFields('node', 'proposition');
    $row->setSourceProperty('type', $fields['want'] ? 'want' : 'offer');
    $row->setSourceProperty('date', $fields['end']);
    echo 'smallad preparerow';print_R($row);
  }

  /**
   * {@inheritdoc}
   */
  public function fields() {
    $fields = parent::fields();
    $fields['end'] = t('Expiry date');
    $fields['want'] = t('Smallad_type');
    return $fields;
  }

  /**
   * {@inheritdoc}
   */
  public function getIds() {
    $ids['nid']['type'] = 'integer';
    $ids['nid']['alias'] = 'n';
    return $ids;
  }

}
