<?php

/**
 * @file
 * Contains \Drupal\mcapi\Routing\RouteSubscriber.
 * Creates walletAdd routes for specified entities
 */

namespace Drupal\smallads\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\Route;
use Symfony\Component\Routing\RouteCollection;

/**
 * Subscriber for views routes, one for each argument combination
 * This is necessary for the links and more importantly the autogenerated tasks
 * Seems like a shortcoming in the routing system, but it will certainly do for this module
 */
class RouteSubscriber extends RouteSubscriberBase {

  private $taxonomyStorage;

  //I don't know where this is injected
  function __construct($entityManager) {
    $this->taxonomyStorage = $entityManager->getStorage('taxonomy_term');
  }

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    //@todo reconsider this
    foreach (\Drupal::entityManager()->getStorage('smallad_type')->loadMultiple() as $type) {
      $id = $type->id();
      $route = (new Route('/ads/'.$id))
        ->setDefaults([
          '_controller' => 'Drupal\views\Routing\ViewPageController::handle',
          'view_id' => 'ads_by_category',
          'display_id' => 'page_all',
          'arg_0' => $id
        ])
        ->setRequirement('_permission', 'post ad');
      $collection->add('view.ads_by_category.page_all.'.$id, $route);
    }
  }

}
