<?php

/**
 * @file
 * Contains \Drupal\cforge\Installer\Setup2.
 */

namespace Drupal\cforge\Installer;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

ini_set('max_execution_time', 150);

/**
 * Configuration options for each flavour
 */
class Setup2 extends FormBase {

  function __construct() {
    if (\Drupal::moduleHandler()->moduleExists('hamlets')) {
      module_load_install('hamlets');
    }
    else {
      module_load_install('ces');
    }
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId()  {
    return 'cforge_setup_2_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form = cforge_setup2_form();
    $form['submit'] = [
      '#type' => 'submit',
      '#value' => 'submit',
      '#weight' => 20
    ];
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    cforge_setup2_form_submit($form, $form_state);
  }

}
