<?php
// $Id: node-exchange.tpl.php,v 1.1.2.3 2010/12/06 13:19:46 hutch Exp $
/*
 * NOTE:
 *
 * Each currency can have its own transaction template
 * Simply rename this file and rename it thus in your theme directory:
 * transaction__X.tpl.php where X is the currency id
 *
 * see template_preprocess_transaction() for details
 *
 * $transaction     //entity object
 * $type            //
 * $state           // 1 = pending, 0 = completed, -1 = erased
 * $recorded        // date formatted using drupal's 'medium' date format
 * $payer           // name linked to payer profile
 * $payee           // name linked to payee profile
 * $worth          // a comma separated list of formatted transaction values (in different currencies)
 * $children        //an array of other transactions with the same serial number
 *
 * need to do some more work on the icon size
 * for now, you might want to include your own large-size graphic instead
 * using $transaction->quantity
 * tip: $currency = currency_load($transaction->currcode);
 *
 * If anyone can think of a more elegant way to make this translatable...
 */
$replacements = array(
  '@recorded' => $recorded,
  '!payer' => "\n".$payer,
  '!payee' => $payee."\n",
  '!worth' => '<span class = "quantity">'. $worth.'</span>'."\n",
);

$certificate_string = t('On @recorded !payer paid !payee the sum of !worth', $replacements);
$certificate_string = str_replace("\n", '<br /><br />', $certificate_string);

?>
<!--transaction.tpl.php-->
  <?php print render($pending); //floating on the right, by default ?>
  <?php print $certificate_string; ?>

  <?php if ($desc_fieldname = variable_get('transaction_description_field')) : ?>
    <strong><?php print t('For:');?></strong>
    <?php print drupal_render($additional[$desc_fieldname]) ?><br />
  <?php endif; ?>
  <?php
    if (isset($additional['offers_wants_categories'])) {
      print drupal_render($additional['offers_wants_categories']);
    }
  ?>

  <?php if (isset($dependents)) : // all the remaining transactions are already rendered as tokenised strings ?>
  <div id="dependent-transactions">
    <h3><?php print t('Dependent transactions'); ?></h3>
    <?php print drupal_render ($dependents); ?>
  </div>
  <?php endif; ?>

  <?php print render($additional); //any fields we don't know about'?>

  <?php print render($links); ?>
<!-- end transaction-->

